# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'prevoty/rails/version'

Gem::Specification.new do |spec|
  spec.name          = "prevoty-rails"
  spec.version       = Prevoty::Rails::VERSION
  spec.authors       = ["Joe Rozner"]
  spec.email         = ["joe@deadbytes.net"]
  spec.summary       = %q{Prevoty rails plugin.}
  spec.description   = %q{Plugin to add dropin support for Prevoty's content filter and SQL analysis.}
  spec.homepage      = "https://www.prevoty.com"
  spec.license       = "Apache-2.0"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "prevoty", "~> 1.2"
  spec.add_dependency "rack", "~> 1.4"
  # spec.add_dependency "actionpack" only for CSRF

  spec.add_development_dependency "bundler", "~> 1.7"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "pry", "~> 0.10"
  spec.add_development_dependency "pry-byebug", "~> 3.0"
end
